Broken mute LED on Hp pavilion 17

Bug #1096789 reported by David Henningsson
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
David Henningsson

Bug Description

This bug is for tracking purposes, please do not triage.

Changed in linux (Ubuntu):
assignee: nobody → David Henningsson (diwic)
status: New → In Progress
Revision history for this message
David Henningsson (diwic) wrote :
Revision history for this message
David Henningsson (diwic) wrote : [PATCH 1/2] ALSA: hda - add mute LED for HP Pavilion 17 (Realtek codec)
Download full text (3.2 KiB)

The mute LED is in this case connected to the Mic1 VREF.

The machine also exposes the following string in BIOS:
"HP_Mute_LED_0_A", so if more machines are coming, it probably
makes sense to try to do something more generic, like for the
IDT codec.

Cc: <email address hidden>
BugLink: https://bugs.launchpad.net/bugs/1096789
Signed-off-by: David Henningsson <email address hidden>
---
 sound/pci/hda/patch_realtek.c | 31 ++++++++++++++++++++++++++++++-
 1 file changed, 30 insertions(+), 1 deletion(-)

I know this is a copy-paste, but I didn't really find a better and more
condensed way to do it. Perhaps if we get a third variation it would make
sense to write a more generic version.

Also, Alsa-info is available at https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1096789/+attachment/3476010/+files/alsa-info.txt

diff --git a/sound/pci/hda/patch_realtek.c b/sound/pci/hda/patch_realtek.c
index 6ee3459..2e6803e 100644
--- a/sound/pci/hda/patch_realtek.c
+++ b/sound/pci/hda/patch_realtek.c
@@ -5992,7 +5992,30 @@ static void alc269_fixup_quanta_mute(struct hda_codec *codec,
  spec->automute_hook = alc269_quanta_automute;
 }

-/* update mute-LED according to the speaker mute state via mic2 VREF pin */
+/* update mute-LED according to the speaker mute state via mic VREF pin */
+static void alc269_fixup_mic1_mute_hook(void *private_data, int enabled)
+{
+ struct hda_codec *codec = private_data;
+ unsigned int pinval = AC_PINCTL_IN_EN + (enabled ?
+ AC_PINCTL_VREF_HIZ : AC_PINCTL_VREF_80);
+ snd_hda_set_pin_ctl_cache(codec, 0x18, pinval);
+}
+
+static void alc269_fixup_mic1_mute(struct hda_codec *codec,
+ const struct alc_fixup *fix, int action)
+{
+ struct alc_spec *spec = codec->spec;
+ switch (action) {
+ case ALC_FIXUP_ACT_BUILD:
+ spec->vmaster_mute.hook = alc269_fixup_mic1_mute_hook;
+ snd_hda_add_vmaster_hook(codec, &spec->vmaster_mute, true);
+ /* fallthru */
+ case ALC_FIXUP_ACT_INIT:
+ snd_hda_sync_vmaster_hook(&spec->vmaster_mute);
+ break;
+ }
+}
+
 static void alc269_fixup_mic2_mute_hook(void *private_data, int enabled)
 {
  struct hda_codec *codec = private_data;
@@ -6043,6 +6066,7 @@ enum {
  ALC269_FIXUP_DMIC,
  ALC269VB_FIXUP_AMIC,
  ALC269VB_FIXUP_DMIC,
+ ALC269_FIXUP_MIC1_MUTE_LED,
  ALC269_FIXUP_MIC2_MUTE_LED,
  ALC269_FIXUP_INV_DMIC,
  ALC269_FIXUP_LENOVO_DOCK,
@@ -6171,6 +6195,10 @@ static const struct alc_fixup alc269_fixups[] = {
    { }
   },
  },
+ [ALC269_FIXUP_MIC1_MUTE_LED] = {
+ .type = ALC_FIXUP_FUNC,
+ .v.func = alc269_fixup_mic1_mute,
+ },
  [ALC269_FIXUP_MIC2_MUTE_LED] = {
   .type = ALC_FIXUP_FUNC,
   .v.func = alc269_fixup_mic2_mute,
@@ -6215,6 +6243,7 @@ static const struct snd_pci_quirk alc269_fixup_tbl[] = {
  SND_PCI_QUIRK(0x1025, 0x029b, "Acer 1810TZ", ALC269_FIXUP_INV_DMIC),
  SND_PCI_QUIRK(0x1025, 0x0349, "Acer AOD260", ALC269_FIXUP_INV_DMIC),
  SND_PCI_QUIRK(0x103c, 0x1586, "HP", ALC269_FIXUP_MIC2_MUTE_LED),
+ SND_PCI_QUIRK(0x103c, 0x1972, "HP Pavilion 17", ALC269_FIXUP_MIC1_MUTE_LED),
  SND_PCI_QUIRK(0x1043, 0x1427, "Asus Zenbook UX31E", ALC269VB_FIXUP_DMIC),
  SND_PCI_QUIRK(0x1043, 0x1517, "Asus Zenbook UX31A", ALC269VB_FIXUP_DMIC),
  SND_PCI_QUIRK(0x1043, 0x1a13, "Asus ...

Read more...

Revision history for this message
David Henningsson (diwic) wrote : Re: [alsa-devel] [PATCH] ALSA: hda - add mute LED for HP Pavilion 17 (Realtek codec)

Sorry for the misleading subject in the previous email. There is only
one patch.

On 01/07/2013 10:51 AM, David Henningsson wrote:
> The mute LED is in this case connected to the Mic1 VREF.
>
> The machine also exposes the following string in BIOS:
> "HP_Mute_LED_0_A", so if more machines are coming, it probably
> makes sense to try to do something more generic, like for the
> IDT codec.

--
David Henningsson, Canonical Ltd.
https://launchpad.net/~diwic

Revision history for this message
Takashi Iwai (tiwai) wrote : Re: [PATCH 1/2] ALSA: hda - add mute LED for HP Pavilion 17 (Realtek codec)
Download full text (3.6 KiB)

At Mon, 7 Jan 2013 10:51:29 +0100,
David Henningsson wrote:
>
> The mute LED is in this case connected to the Mic1 VREF.
>
> The machine also exposes the following string in BIOS:
> "HP_Mute_LED_0_A", so if more machines are coming, it probably
> makes sense to try to do something more generic, like for the
> IDT codec.

Interesting. So they still point "A" as the output pin A, not NID
0x0a.

> Cc: <email address hidden>
> BugLink: https://bugs.launchpad.net/bugs/1096789
> Signed-off-by: David Henningsson <email address hidden>
> ---
> sound/pci/hda/patch_realtek.c | 31 ++++++++++++++++++++++++++++++-
> 1 file changed, 30 insertions(+), 1 deletion(-)
>
> I know this is a copy-paste, but I didn't really find a better and more
> condensed way to do it. Perhaps if we get a third variation it would make
> sense to write a more generic version.

Yes, we can improve it better later.

> Also, Alsa-info is available at https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1096789/+attachment/3476010/+files/alsa-info.txt
>
> diff --git a/sound/pci/hda/patch_realtek.c b/sound/pci/hda/patch_realtek.c
> index 6ee3459..2e6803e 100644
> --- a/sound/pci/hda/patch_realtek.c
> +++ b/sound/pci/hda/patch_realtek.c
> @@ -5992,7 +5992,30 @@ static void alc269_fixup_quanta_mute(struct hda_codec *codec,
> spec->automute_hook = alc269_quanta_automute;
> }
>
> -/* update mute-LED according to the speaker mute state via mic2 VREF pin */
> +/* update mute-LED according to the speaker mute state via mic VREF pin */

Forgot to restore the comment for alc269_fixup_mic2_mute_hook() below?

> +static void alc269_fixup_mic1_mute_hook(void *private_data, int enabled)
> +{
> + struct hda_codec *codec = private_data;
> + unsigned int pinval = AC_PINCTL_IN_EN + (enabled ?
> + AC_PINCTL_VREF_HIZ : AC_PINCTL_VREF_80);
> + snd_hda_set_pin_ctl_cache(codec, 0x18, pinval);
> +}
> +
> +static void alc269_fixup_mic1_mute(struct hda_codec *codec,
> + const struct alc_fixup *fix, int action)
> +{
> + struct alc_spec *spec = codec->spec;
> + switch (action) {
> + case ALC_FIXUP_ACT_BUILD:
> + spec->vmaster_mute.hook = alc269_fixup_mic1_mute_hook;
> + snd_hda_add_vmaster_hook(codec, &spec->vmaster_mute, true);
> + /* fallthru */
> + case ALC_FIXUP_ACT_INIT:
> + snd_hda_sync_vmaster_hook(&spec->vmaster_mute);
> + break;
> + }
> +}
> +
> static void alc269_fixup_mic2_mute_hook(void *private_data, int enabled)

Here...

thanks,

Takashi

> {
> struct hda_codec *codec = private_data;
> @@ -6043,6 +6066,7 @@ enum {
> ALC269_FIXUP_DMIC,
> ALC269VB_FIXUP_AMIC,
> ALC269VB_FIXUP_DMIC,
> + ALC269_FIXUP_MIC1_MUTE_LED,
> ALC269_FIXUP_MIC2_MUTE_LED,
> ALC269_FIXUP_INV_DMIC,
> ALC269_FIXUP_LENOVO_DOCK,
> @@ -6171,6 +6195,10 @@ static const struct alc_fixup alc269_fixups[] = {
> { }
> },
> },
> + [ALC269_FIXUP_MIC1_MUTE_LED] = {
> + .type = ALC_FIXUP_FUNC,
> + .v.func = alc269_fixup_mic1_mute,
> + },
> [ALC269_FIXUP_MIC2_MUTE_LED] = {
> .type = ALC_FIXUP_FUNC,
> .v.func = alc269_fixup_mic2_mute,
> @@ -6215,6 +6243,7 @@ static const struct snd_pci_quirk alc269_fixup_tbl[] = {
> SND_PCI_QUIRK(0x1025, 0x029b, "Acer 1810TZ", AL...

Read more...

Revision history for this message
David Henningsson (diwic) wrote :
Download full text (4.1 KiB)

[removing stable from CC]

On 01/07/2013 11:49 AM, Takashi Iwai wrote:
> At Mon, 7 Jan 2013 10:51:29 +0100,
> David Henningsson wrote:
>>
>> The mute LED is in this case connected to the Mic1 VREF.
>>
>> The machine also exposes the following string in BIOS:
>> "HP_Mute_LED_0_A", so if more machines are coming, it probably
>> makes sense to try to do something more generic, like for the
>> IDT codec.
>
> Interesting. So they still point "A" as the output pin A, not NID
> 0x0a.

The existing quirk seems old; but I don't know if that one has a BIOS
string. Would be interesting to know to have something to compare with.

>> Cc: <email address hidden>
>> BugLink: https://bugs.launchpad.net/bugs/1096789
>> Signed-off-by: David Henningsson <email address hidden>
>> ---
>> sound/pci/hda/patch_realtek.c | 31 ++++++++++++++++++++++++++++++-
>> 1 file changed, 30 insertions(+), 1 deletion(-)
>>
>> I know this is a copy-paste, but I didn't really find a better and more
>> condensed way to do it. Perhaps if we get a third variation it would make
>> sense to write a more generic version.
>
> Yes, we can improve it better later.
>
>> Also, Alsa-info is available at https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1096789/+attachment/3476010/+files/alsa-info.txt
>>
>> diff --git a/sound/pci/hda/patch_realtek.c b/sound/pci/hda/patch_realtek.c
>> index 6ee3459..2e6803e 100644
>> --- a/sound/pci/hda/patch_realtek.c
>> +++ b/sound/pci/hda/patch_realtek.c
>> @@ -5992,7 +5992,30 @@ static void alc269_fixup_quanta_mute(struct hda_codec *codec,
>> spec->automute_hook = alc269_quanta_automute;
>> }
>>
>> -/* update mute-LED according to the speaker mute state via mic2 VREF pin */
>> +/* update mute-LED according to the speaker mute state via mic VREF pin */
>
> Forgot to restore the comment for alc269_fixup_mic2_mute_hook() below?

I thought the same comment now could cover both quirks, but I can make
one comment for each quirk if that is clearer?

>
>> +static void alc269_fixup_mic1_mute_hook(void *private_data, int enabled)
>> +{
>> + struct hda_codec *codec = private_data;
>> + unsigned int pinval = AC_PINCTL_IN_EN + (enabled ?
>> + AC_PINCTL_VREF_HIZ : AC_PINCTL_VREF_80);
>> + snd_hda_set_pin_ctl_cache(codec, 0x18, pinval);
>> +}
>> +
>> +static void alc269_fixup_mic1_mute(struct hda_codec *codec,
>> + const struct alc_fixup *fix, int action)
>> +{
>> + struct alc_spec *spec = codec->spec;
>> + switch (action) {
>> + case ALC_FIXUP_ACT_BUILD:
>> + spec->vmaster_mute.hook = alc269_fixup_mic1_mute_hook;
>> + snd_hda_add_vmaster_hook(codec, &spec->vmaster_mute, true);
>> + /* fallthru */
>> + case ALC_FIXUP_ACT_INIT:
>> + snd_hda_sync_vmaster_hook(&spec->vmaster_mute);
>> + break;
>> + }
>> +}
>> +
>> static void alc269_fixup_mic2_mute_hook(void *private_data, int enabled)
>
> Here...
>
>
> thanks,
>
> Takashi
>
>
>> {
>> struct hda_codec *codec = private_data;
>> @@ -6043,6 +6066,7 @@ enum {
>> ALC269_FIXUP_DMIC,
>> ALC269VB_FIXUP_AMIC,
>> ALC269VB_FIXUP_DMIC,
>> + ALC269_FIXUP_MIC1_MUTE_LED,
>> ALC269_FIXUP_MIC2_MUTE_LED,
>> ALC269_FIXUP_INV_DMIC,
>> ALC269_FIXUP_LENOVO_DOCK,
>> @@ -6171,6 ...

Read more...

Revision history for this message
Takashi Iwai (tiwai) wrote :
Download full text (4.5 KiB)

At Mon, 07 Jan 2013 11:53:38 +0100,
David Henningsson wrote:
>
> [removing stable from CC]
>
> On 01/07/2013 11:49 AM, Takashi Iwai wrote:
> > At Mon, 7 Jan 2013 10:51:29 +0100,
> > David Henningsson wrote:
> >>
> >> The mute LED is in this case connected to the Mic1 VREF.
> >>
> >> The machine also exposes the following string in BIOS:
> >> "HP_Mute_LED_0_A", so if more machines are coming, it probably
> >> makes sense to try to do something more generic, like for the
> >> IDT codec.
> >
> > Interesting. So they still point "A" as the output pin A, not NID
> > 0x0a.
>
> The existing quirk seems old; but I don't know if that one has a BIOS
> string. Would be interesting to know to have something to compare with.
>
> >> Cc: <email address hidden>
> >> BugLink: https://bugs.launchpad.net/bugs/1096789
> >> Signed-off-by: David Henningsson <email address hidden>
> >> ---
> >> sound/pci/hda/patch_realtek.c | 31 ++++++++++++++++++++++++++++++-
> >> 1 file changed, 30 insertions(+), 1 deletion(-)
> >>
> >> I know this is a copy-paste, but I didn't really find a better and more
> >> condensed way to do it. Perhaps if we get a third variation it would make
> >> sense to write a more generic version.
> >
> > Yes, we can improve it better later.
> >
> >> Also, Alsa-info is available at https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1096789/+attachment/3476010/+files/alsa-info.txt
> >>
> >> diff --git a/sound/pci/hda/patch_realtek.c b/sound/pci/hda/patch_realtek.c
> >> index 6ee3459..2e6803e 100644
> >> --- a/sound/pci/hda/patch_realtek.c
> >> +++ b/sound/pci/hda/patch_realtek.c
> >> @@ -5992,7 +5992,30 @@ static void alc269_fixup_quanta_mute(struct hda_codec *codec,
> >> spec->automute_hook = alc269_quanta_automute;
> >> }
> >>
> >> -/* update mute-LED according to the speaker mute state via mic2 VREF pin */
> >> +/* update mute-LED according to the speaker mute state via mic VREF pin */
> >
> > Forgot to restore the comment for alc269_fixup_mic2_mute_hook() below?
>
> I thought the same comment now could cover both quirks, but I can make
> one comment for each quirk if that is clearer?

Yes, please. It's not so obvious that the comment covers both functions.

Takashi

> >
> >> +static void alc269_fixup_mic1_mute_hook(void *private_data, int enabled)
> >> +{
> >> + struct hda_codec *codec = private_data;
> >> + unsigned int pinval = AC_PINCTL_IN_EN + (enabled ?
> >> + AC_PINCTL_VREF_HIZ : AC_PINCTL_VREF_80);
> >> + snd_hda_set_pin_ctl_cache(codec, 0x18, pinval);
> >> +}
> >> +
> >> +static void alc269_fixup_mic1_mute(struct hda_codec *codec,
> >> + const struct alc_fixup *fix, int action)
> >> +{
> >> + struct alc_spec *spec = codec->spec;
> >> + switch (action) {
> >> + case ALC_FIXUP_ACT_BUILD:
> >> + spec->vmaster_mute.hook = alc269_fixup_mic1_mute_hook;
> >> + snd_hda_add_vmaster_hook(codec, &spec->vmaster_mute, true);
> >> + /* fallthru */
> >> + case ALC_FIXUP_ACT_INIT:
> >> + snd_hda_sync_vmaster_hook(&spec->vmaster_mute);
> >> + break;
> >> + }
> >> +}
> >> +
> >> static void alc269_fixup_mic2_mute_hook(void *private_data, int enabled)
> >
> > Here...
> >
> >
> > thanks,
> >
> > Takashi...

Read more...

Revision history for this message
David Henningsson (diwic) wrote : [PATCH v2] ALSA: hda - add mute LED for HP Pavilion 17 (Realtek codec)

The mute LED is in this case connected to the Mic1 VREF.

The machine also exposes the following string in BIOS:
"HP_Mute_LED_0_A", so if more machines are coming, it probably
makes sense to try to do something more generic, like for the
IDT codec.

Cc: <email address hidden>
BugLink: https://bugs.launchpad.net/bugs/1096789
Signed-off-by: David Henningsson <email address hidden>
---
 sound/pci/hda/patch_realtek.c | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

diff --git a/sound/pci/hda/patch_realtek.c b/sound/pci/hda/patch_realtek.c
index 6ee3459..71ae23d 100644
--- a/sound/pci/hda/patch_realtek.c
+++ b/sound/pci/hda/patch_realtek.c
@@ -5992,6 +5992,30 @@ static void alc269_fixup_quanta_mute(struct hda_codec *codec,
  spec->automute_hook = alc269_quanta_automute;
 }

+/* update mute-LED according to the speaker mute state via mic1 VREF pin */
+static void alc269_fixup_mic1_mute_hook(void *private_data, int enabled)
+{
+ struct hda_codec *codec = private_data;
+ unsigned int pinval = AC_PINCTL_IN_EN + (enabled ?
+ AC_PINCTL_VREF_HIZ : AC_PINCTL_VREF_80);
+ snd_hda_set_pin_ctl_cache(codec, 0x18, pinval);
+}
+
+static void alc269_fixup_mic1_mute(struct hda_codec *codec,
+ const struct alc_fixup *fix, int action)
+{
+ struct alc_spec *spec = codec->spec;
+ switch (action) {
+ case ALC_FIXUP_ACT_BUILD:
+ spec->vmaster_mute.hook = alc269_fixup_mic1_mute_hook;
+ snd_hda_add_vmaster_hook(codec, &spec->vmaster_mute, true);
+ /* fallthru */
+ case ALC_FIXUP_ACT_INIT:
+ snd_hda_sync_vmaster_hook(&spec->vmaster_mute);
+ break;
+ }
+}
+
 /* update mute-LED according to the speaker mute state via mic2 VREF pin */
 static void alc269_fixup_mic2_mute_hook(void *private_data, int enabled)
 {
@@ -6043,6 +6067,7 @@ enum {
  ALC269_FIXUP_DMIC,
  ALC269VB_FIXUP_AMIC,
  ALC269VB_FIXUP_DMIC,
+ ALC269_FIXUP_MIC1_MUTE_LED,
  ALC269_FIXUP_MIC2_MUTE_LED,
  ALC269_FIXUP_INV_DMIC,
  ALC269_FIXUP_LENOVO_DOCK,
@@ -6171,6 +6196,10 @@ static const struct alc_fixup alc269_fixups[] = {
    { }
   },
  },
+ [ALC269_FIXUP_MIC1_MUTE_LED] = {
+ .type = ALC_FIXUP_FUNC,
+ .v.func = alc269_fixup_mic1_mute,
+ },
  [ALC269_FIXUP_MIC2_MUTE_LED] = {
   .type = ALC_FIXUP_FUNC,
   .v.func = alc269_fixup_mic2_mute,
@@ -6215,6 +6244,7 @@ static const struct snd_pci_quirk alc269_fixup_tbl[] = {
  SND_PCI_QUIRK(0x1025, 0x029b, "Acer 1810TZ", ALC269_FIXUP_INV_DMIC),
  SND_PCI_QUIRK(0x1025, 0x0349, "Acer AOD260", ALC269_FIXUP_INV_DMIC),
  SND_PCI_QUIRK(0x103c, 0x1586, "HP", ALC269_FIXUP_MIC2_MUTE_LED),
+ SND_PCI_QUIRK(0x103c, 0x1972, "HP Pavilion 17", ALC269_FIXUP_MIC1_MUTE_LED),
  SND_PCI_QUIRK(0x1043, 0x1427, "Asus Zenbook UX31E", ALC269VB_FIXUP_DMIC),
  SND_PCI_QUIRK(0x1043, 0x1517, "Asus Zenbook UX31A", ALC269VB_FIXUP_DMIC),
  SND_PCI_QUIRK(0x1043, 0x1a13, "Asus G73Jw", ALC269_FIXUP_ASUS_G73JW),
--
1.7.9.5

Revision history for this message
Takashi Iwai (tiwai) wrote :

At Mon, 7 Jan 2013 12:03:47 +0100,
David Henningsson wrote:
>
> The mute LED is in this case connected to the Mic1 VREF.
>
> The machine also exposes the following string in BIOS:
> "HP_Mute_LED_0_A", so if more machines are coming, it probably
> makes sense to try to do something more generic, like for the
> IDT codec.
>
> Cc: <email address hidden>
> BugLink: https://bugs.launchpad.net/bugs/1096789
> Signed-off-by: David Henningsson <email address hidden>

Thanks, applied now.

Takashi

> ---
> sound/pci/hda/patch_realtek.c | 30 ++++++++++++++++++++++++++++++
> 1 file changed, 30 insertions(+)
>
> diff --git a/sound/pci/hda/patch_realtek.c b/sound/pci/hda/patch_realtek.c
> index 6ee3459..71ae23d 100644
> --- a/sound/pci/hda/patch_realtek.c
> +++ b/sound/pci/hda/patch_realtek.c
> @@ -5992,6 +5992,30 @@ static void alc269_fixup_quanta_mute(struct hda_codec *codec,
> spec->automute_hook = alc269_quanta_automute;
> }
>
> +/* update mute-LED according to the speaker mute state via mic1 VREF pin */
> +static void alc269_fixup_mic1_mute_hook(void *private_data, int enabled)
> +{
> + struct hda_codec *codec = private_data;
> + unsigned int pinval = AC_PINCTL_IN_EN + (enabled ?
> + AC_PINCTL_VREF_HIZ : AC_PINCTL_VREF_80);
> + snd_hda_set_pin_ctl_cache(codec, 0x18, pinval);
> +}
> +
> +static void alc269_fixup_mic1_mute(struct hda_codec *codec,
> + const struct alc_fixup *fix, int action)
> +{
> + struct alc_spec *spec = codec->spec;
> + switch (action) {
> + case ALC_FIXUP_ACT_BUILD:
> + spec->vmaster_mute.hook = alc269_fixup_mic1_mute_hook;
> + snd_hda_add_vmaster_hook(codec, &spec->vmaster_mute, true);
> + /* fallthru */
> + case ALC_FIXUP_ACT_INIT:
> + snd_hda_sync_vmaster_hook(&spec->vmaster_mute);
> + break;
> + }
> +}
> +
> /* update mute-LED according to the speaker mute state via mic2 VREF pin */
> static void alc269_fixup_mic2_mute_hook(void *private_data, int enabled)
> {
> @@ -6043,6 +6067,7 @@ enum {
> ALC269_FIXUP_DMIC,
> ALC269VB_FIXUP_AMIC,
> ALC269VB_FIXUP_DMIC,
> + ALC269_FIXUP_MIC1_MUTE_LED,
> ALC269_FIXUP_MIC2_MUTE_LED,
> ALC269_FIXUP_INV_DMIC,
> ALC269_FIXUP_LENOVO_DOCK,
> @@ -6171,6 +6196,10 @@ static const struct alc_fixup alc269_fixups[] = {
> { }
> },
> },
> + [ALC269_FIXUP_MIC1_MUTE_LED] = {
> + .type = ALC_FIXUP_FUNC,
> + .v.func = alc269_fixup_mic1_mute,
> + },
> [ALC269_FIXUP_MIC2_MUTE_LED] = {
> .type = ALC_FIXUP_FUNC,
> .v.func = alc269_fixup_mic2_mute,
> @@ -6215,6 +6244,7 @@ static const struct snd_pci_quirk alc269_fixup_tbl[] = {
> SND_PCI_QUIRK(0x1025, 0x029b, "Acer 1810TZ", ALC269_FIXUP_INV_DMIC),
> SND_PCI_QUIRK(0x1025, 0x0349, "Acer AOD260", ALC269_FIXUP_INV_DMIC),
> SND_PCI_QUIRK(0x103c, 0x1586, "HP", ALC269_FIXUP_MIC2_MUTE_LED),
> + SND_PCI_QUIRK(0x103c, 0x1972, "HP Pavilion 17", ALC269_FIXUP_MIC1_MUTE_LED),
> SND_PCI_QUIRK(0x1043, 0x1427, "Asus Zenbook UX31E", ALC269VB_FIXUP_DMIC),
> SND_PCI_QUIRK(0x1043, 0x1517, "Asus Zenbook UX31A", ALC269VB_FIXUP_DMIC),
> SND_PCI_QUIRK(0x1043, 0x1a13, "Asus G73Jw", ALC269_FIXUP_ASUS_G73JW),
> --
> 1.7.9.5
>

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.8.0-0.2

---------------
linux (3.8.0-0.2) raring; urgency=low

  [ Tim Gardner ]

  * [packaging] Add macro to selectively disable building perf
  * [packaging] Cannot depend on universe package libaudit-dev
 -- Tim Gardner <email address hidden> Thu, 10 Jan 2013 12:43:24 -0700

Changed in linux (Ubuntu):
status: In Progress → Fix Released
Revision history for this message
Albert Pool (albertpool) wrote :

I'm probably looking into fixing the mute LED on HP Pavilion dv6730ed (Realtek ALC268 codec) too. Can anybody tell me how to check for the mentioned HP_Mute_LED thingy in BIOS?

Revision history for this message
David Henningsson (diwic) wrote :

@Albert,
You can find the string when you look at the output of "sudo dmidecode".

Would you mind filing a new bug report for your issue, and include https://wiki.ubuntu.com/Audio/AlsaInfo as well as the output of "sudo dmidecode"? Thanks.

Revision history for this message
Luis Henriques (henrix) wrote :

This bug is awaiting verification that the kernel for Quantal in -proposed solves the problem (3.5.0-24.37). Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-quantal' to 'verification-done-quantal'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-quantal
Revision history for this message
Luis Henriques (henrix) wrote :

I'm tagging this bug as verified for Quantal as the fix came in from the stable update to 3.5.7.3.

tags: added: verification-done-quantal
removed: verification-needed-quantal
Revision history for this message
Adam Conrad (adconrad) wrote : Update Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments